commit: 941a92ebea9e55817509e59d24396d6205cbac23
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon May 25 15:03:18 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jun 10 14:24:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=941a92eb
dev-libs/hyperscan: bump to 5.3.0
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
dev-libs/hyperscan/Manifest | 1 +
dev-libs/hyperscan/hyperscan-5.3.0.ebuild | 53 +++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/dev-libs/hyperscan/Manifest b/dev-libs/hyperscan/Manifest
index af6b6034e0b..2e5b6029c6a 100644
--- a/dev-libs/hyperscan/Manifest
+++ b/dev-libs/hyperscan/Manifest
@@ -1 +1,2 @@
DIST hyperscan-5.2.1.tar.gz 1818935 BLAKE2B
8b073c946b970867221043b88f36203a0bfa3f2b94002ce2e46f0aa5c616d3e09f19a750510bd88ed30d0aa4324c0d0f04d6a816775b4bed2c246bbc1548b2f0
SHA512
e6ac2aef1f3efa1535c00d73fa590ea62fff4686c4ad3ee023d2e72c51896ca4616ec1b85d7c6f88ac7b42d92c3557b9c4bb3b51cfb796e20a79d53b28e53b6c
+DIST hyperscan-5.3.0.tar.gz 1824077 BLAKE2B
6d1c8ac8df32e8e4ac09f51ad292e566c2af2b7de9fb1f0bf99b233b9647b527ea115b6bdace5533927bc7a0eace626921b391ad3e78d62fe54636ae13b9f26e
SHA512
a4d85ffd2264e8e6745340ba51431361775a1e7a2da78edd31f6f53552ac61fdef718710ae53a254b7d5000f9ec1aafe7a48d9c55e76f5c6822486150bbc6c56
diff --git a/dev-libs/hyperscan/hyperscan-5.3.0.ebuild
b/dev-libs/hyperscan/hyperscan-5.3.0.ebuild
new file mode 100644
index 00000000000..6e01c2f6c6b
--- /dev/null
+++ b/dev-libs/hyperscan/hyperscan-5.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit cmake flag-o-matic python-any-r1
+
+DESCRIPTION="High-performance regular expression matching library"
+SRC_URI="https://github.com/intel/hyperscan/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+HOMEPAGE="https://www.hyperscan.io/ https://github.com/intel/hyperscan"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cpu_flags_x86_avx2 +cpu_flags_x86_ssse3 static-libs"
+
+RDEPEND="dev-libs/boost"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-util/ragel
+"
+
+REQUIRED_USE="cpu_flags_x86_ssse3"
+
+src_prepare() {
+ # Respect user -O flags
+ sed -i '/set(OPT_CX*_FLAG/d' CMakeLists.txt || die
+
+ # upstream workaround
+ append-cxxflags -Wno-redundant-move
+ cmake_src_prepare
+}
+
+src_configure() {
+ CMAKE_BUILD_TYPE=Release
+
+ use cpu_flags_x86_ssse3 && append-flags -mssse3
+ use cpu_flags_x86_avx2 && append-flags -mavx2
+
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=$(usex static-libs OFF ON)
+ -DBUILD_STATIC_AND_SHARED=$(usex static-libs ON OFF)
+ -DFAT_RUNTIME=false
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ "${BUILD_DIR}"/bin/unit-hyperscan || die
+}